[Bug 162131] Please sync octave2.9 1:2.9.14-1 (universe) from Debian unstable (main)

William Grant william at qeuni.net
Mon Nov 12 03:33:24 GMT 2007


Public bug reported:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/octave2.9
 status confirmed
 subscribe ubuntu-archive

Please sync octave2.9 1:2.9.14-1  (universe) from Debian unstable
(main).

Explanation of the Ubuntu delta and why it can be dropped:
Upstream has added a .desktop, and Debian now installs it.

Changelog since current hardy version 1:2.9.12-2ubuntu1:

octave2.9 (1:2.9.16-1) unstable; urgency=low

  * New upstream release

 -- Rafael Laboissiere <rafael at debian.org>  Thu, 01 Nov 2007 01:25:44
+0100

octave2.9 (1:2.9.15-1) unstable; urgency=low

  [ Thomas Weber ]
  * New upstream release.
  * Dropped patches (applied upstream):
    + 01_include_missing_files
    + 50_mix-range-and-sparse

  [ Rafael Laboissiere ]
  * debian/rules: Only do extra links for the manpages when we are
    packaging a pre-release version

 -- Rafael Laboissiere <rafael at debian.org>  Mon, 15 Oct 2007 17:19:21
+0200

octave3.0 (2.9.15-1) experimental; urgency=low

  [ Thomas Weber ]
  * Declare 2.9.15 as release candidate for 3.0. This has been discussed with
    upstream and is encouraged (closes: #446639)

  [ Rafael Laboissiere ]
  * Removed patches (applied upstream):
    + debian/patches/01_include_missing_files.dpatch
    + debian/patches/50_mix-range-and-sparse.dpatch

 -- Rafael Laboissiere <rafael at debian.org>  Sun, 14 Oct 2007 23:36:10
+0200

octave2.9 (1:2.9.14-1) unstable; urgency=low

  [ Thomas Weber ]
  * New upstream release
  * debian/rules:
    + Don't force mkoctfile to strip .oct files (closes: #437672)
    + Don't compress PDF files (partly (closes: #441722))
  * debian/in/control:
    + Add qhull to build-dependencies. Octave-forge's geometry toolbox was
      merged with Octave and needs this.
  * patches/01_include_missing_files:
    + Include .m files that were missed in the distribution tarball
      (closes the other half of #441722)

  [ Rafael Laboissiere ]
  * debian/in/PACKAGE.menu: Adapted to the new menu hierarchy, which will
    be in the next release of Policy
  * debian/rules: Increased the update-alternatives priority of octave2.9
    to 90 and keep that of octave2.1 at 80
  * debian/in/control:
    + octave*-emacsen package depends on newer emacs22
    + Build-depends on desktop-file-utils
    + Added Homepage field
  * debian/in/PACKAGE-htmldoc.doc-base.faq: Reference the correct HTML
    files of the FAQ
  * debian/rules:
    + Patch the examples/octave.desktop.in file, such that the referenced
      command exists
    + Rename the installed octave.desktop file

 -- Thomas Weber <thomas.weber.mail at gmail.com>  Sat, 22 Sep 2007
17:13:51 +0000

octave2.9 (1:2.9.13-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_use_suitesparse_for_ufsparse.dpatch,
    debian/patches/50_fix_pkg_rebuild.m.dpatch : Removed patches
    (applied upstream)

  * debian/octave.st: Added enscript highlighting rules for Octave
  * debian/in/PACKAGE.dirs: Added directory for enscript
  * debian/rules: Install octave.st

  * debian/in/control:
    + Removed the obsolete build-dependency on dejagnu (over two years
      ago, DejaGNU was replaced by the test/assert infrastructure for
      running the tests)
    + Use the substitution variable ${binary:Version} instead of the
      deprecated ${Source-Version}, which also makes the package
      binNMUable
  * debian/rules: Do not ignore make clean/distclean error

 -- Rafael Laboissiere <rafael at debian.org>  Mon, 23 Jul 2007 23:06:54
+0200


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHN8lxAc+S8KckfcURAoepAJ9gxdcdTFmMn8z4IfxOWP3JakWMHgCfRpjO
zOm83ubl6T6lVGrff+vWybE=
=Pb7+
-----END PGP SIGNATURE-----

** Affects: octave2.9 (Ubuntu)
     Importance: Undecided
         Status: Confirmed

-- 
Please sync octave2.9 1:2.9.14-1  (universe) from Debian unstable (main)
https://bugs.launchpad.net/bugs/162131
You received this bug notification because you are a member of Ubuntu
Package Archive Administrators, which is a direct subscriber.



More information about the ubuntu-archive mailing list